config/routes.rb
Rails.application.routes.draw do

  resources :credit_sources
  resources :crop_types
  mount_devise_token_auth_for 'User', at: 'auth'
  get 'report/index'
  get 'report/topography'
  get 'report/smu'
  get 'report/category'
  get 'report/report_list'
  get 'report/farmer_count'
  get 'report/cultivation_cost'
  get 'report/live_stock'
  get 'report/main_yield'
  get 'report/marketing'
  get 'report/comments'
  get 'report/soil_status'
  get 'report/additional_invst_src'
  
  get 'farmers/count'
  get 'users/register'
  get 'users/signin'
  get 'users/template'
  get 'users/index'
  get 'users/actions'
  get 'users/user_roles_template'
  get 'users/user_roles'
  post 'users/create_user_role'
  post 'users/delete_user_role'
 

  post 'offline/sync'

  get "/application.appcache", to: "offline#manifest", :format => :appcache

  get 'roles/ractions'
  get 'roles/role_ractions_template'
  get 'roles/role_ractions'
  get 'roles/role'
  post 'roles/create_role_raction'
  post 'roles/delete_role_raction'

    resources :ractions
  resources :actions
  resources :roles

    root 'socio_demographic_infos#new'
  resources :basic_need_details
  resources :migration_consequences
  resources :labour_migration_details
  resources :migration_negative_consequences
  resources :migration_positive_consequences
  resources :migration_purposes
  resources :fertilizers
  resources :pc_wage_rates
  resources :pc_yield_prices
  resources :intercrop_lists
  resources :crop_lists
  resources :pc_other_expenses
  resources :pc_operation_details
  resources :survey_numbers
  resources :forestry_plants
  resources :horticulture_plants
  resources :livestock_names
  resources :credit_avail_purposes
  resources :suggestion_paramaters
  resources :food_materials
  resources :constraints
  resources :conversation_structures
  resources :particulars
  resources :purposes
  resources :income_sources
  resources :intercrops
  resources :crops
  resources :grampanchayats
  resources :hoblis
  resources :micro_water_sheds
  resources :sub_water_sheds
  resources :taluks
  resources :districts
  resources :castes
  resources :smus
  resources :topographies
  resources :farmers
  resources :horticulture_forestry_plants
  resources :production_costs
  resources :fertilizer_details
  resources :ppc_details
  resources :forestry_cultivations
  resources :forestry_species
  resources :cultivate_horticultures
  resources :plant_counts
  resources :subsidiary_costs
  resources :subsidiary_enterprises
  resources :private_credits
  resources :institutional_credits
  resources :borrowing_statuses
  resources :basic_needs
  resources :labour_availabilities
  resources :watershed_comments
  resources :improvement_suggestions
  resources :household_food_materials
  resources :farming_constraints
  resources :conversation_practices
  resources :watershed_awarenesses
  resources :marketings
  resources :additional_investment_capacities
  resources :family_annual_incomes
  resources :fodder_availabilities
  resources :cropping_intensities
  resources :cropping_paterns
  resources :irrigations
  resources :surveys

  resources :durable_assets
  resources :machines
  resources :livestocks
  resources :livestock_types
  resources :machine_types
  resources :asset_types
  resources :house_types
  resources :houses
  resources :housetypes
  resources :local_organisations
  resources :genders
  resources :occupations
  resources :scaffolds
  resources :educations
  resources :socio_demographic_infos
  resources :villages
  match "*path", to: "welcome#catch_404", via: :all

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end

app/controllers/houses_controller.rb
class HousesController < ApplicationController
  before_action :set_house, only: [:show, :edit, :update, :destroy]

  # GET /houses
  # GET /houses.json
  def index
    @houses = params[:farmer_id].present? ? House.where(farmer_id: params[:farmer_id]) : House.all
    render :layout => false 
  end

  # GET /houses/1
  # GET /houses/1.json
  def show
  end

  # GET /houses/new
  def new
    @house = House.new
  end

  # GET /houses/1/edit
  def edit
  end

  # POST /houses
  # POST /houses.json
  def create
    @house = House.new(house_params)

    respond_to do |format|
      if @house.save
        format.html { redirect_to @house, notice: 'House was successfully created.' }
        format.json { render :show, status: :created, location: @house }
      else
        format.html { render :new }
        format.json { render json: @house.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /houses/1
  # PATCH/PUT /houses/1.json
  def update
    respond_to do |format|
      if @house.update(house_params)
        format.html { redirect_to @house, notice: 'House was successfully updated.' }
        format.json { render :show, status: :ok, location: @house }
      else
        format.html { render :edit }
        format.json { render json: @house.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /houses/1
  # DELETE /houses/1.json
  def destroy
    @house.destroy
    respond_to do |format|
      format.html { redirect_to houses_url, notice: 'House was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_house
      @house = House.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def house_params
      params.require(:house).permit(:house_type_id, :quantity, :area, :farmer_id)
    end
end

app/helpers/houses_helper.rb
module HousesHelper
end

app/views/houses/_form.html.haml
= form_for @house do |f|
  - if @house.errors.any?
    #error_explanation
      %h2= "#{pluralize(@house.errors.count, "error")} prohibited this house from being saved:"
      %ul
        - @house.errors.full_messages.each do |msg|
          %li= msg

  .field
    = f.label :type_id
    = f.text_field :type_id
  .field
    = f.label :is_active
    = f.check_box :is_active
  .field
    = f.label :quantity
    = f.number_field :quantity
  .field
    = f.label :area
    = f.text_field :area
  .actions
    = f.submit 'Save'

app/views/houses/edit.html.haml
%h1 Editing house

= render 'form'

= link_to 'Show', @house
\|
= link_to 'Back', houses_path

app/views/houses/index.html.haml
.panel.panel-default{"ng-controller" => "HousesCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Type of House
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th Type of House
            %th Number of Houses
            %th Value (₹)
      
        %tbody
          %tr{ "ng-repeat" => "house in data_list "}
            %td {{ house.house_type.name }}
            %td {{ house.quantity}}
            %td {{ house.area }}
            %td
              %a{ "ng-click" => "edit(house.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(house.id, house.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}

          %tr#form_houses
            %td
              %select{"ng-model" => "vm.house_type", "ng-options" => "house_type.name for house_type in house_types track by house_type.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
              
            %td
              = number_field :quantity, '', :class => "form-control", "ng-model" => "vm.quantity"
            %td
              = number_field :area, '', :class => "form-control", "ng-model" => "vm.area"
            %td
            %td  
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}

app/views/houses/new.html.haml
%h1 New house

= render 'form'

= link_to 'Back', houses_path

app/views/houses/show.html.haml
%p#notice= notice

%p
  %b Type:
  = @house.type_id
%p
  %b Is active:
  = @house.is_active
%p
  %b Quantity:
  = @house.quantity
%p
  %b Area:
  = @house.area

= link_to 'Edit', edit_house_path(@house)
\|
= link_to 'Back', houses_path